@font-face {
  font-family: "Poppins";
  src: url("../ressources/Poppins-Medium.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

body {
  background-color: #F3F4F6;
}

.title {
  margin-top: 30px;
  margin-left: 40px;
  margin-right: 40px;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: space-between;
  align-items: center;
}

h1 {
  font-family: "Poppins", sans-serif;
  font-size: 32px;
  font-weight: bold;
}

.btnList {
  display: flex;
  justify-content: left;
  align-items: center;
  margin-left: 40px;
}

.btnList .btn:first-child {
  margin-right: 15px;
}

.btn {
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  font-weight: bold;
  color: #ffffff;
  padding: 12px 25px;
  text-align: center;
  text-decoration: none;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: auto;
}

.btn > img {
  width: 25px;
  height: 25px;
  margin-right: 15px;
}

#random {
  background-color: #9c5dee;
}

#database {
  background-color: #6BC16B;
}

#addImage {
  background-color: #5D82EE;
}

/* Style pour l'image en plein écran */
.fullscreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.fullscreen img {
  max-width: 90%;
  max-height: 90%;
}

/* Responsive styles */
@media (max-width: 768px) {
  .title {
    flex-direction: column;
    align-items: flex-start;
  }

  .btnList {
    flex-direction: column;
    align-items: flex-start;
    margin-left: 40px;
  }

  .btnList .btn {
    margin-bottom: 10px;
  }

  .cardList {
    margin-left: 20px;
    margin-right: 20px;
  }

  .cardListColumn {
    flex: 1 1 100%;
    max-width: 100%;
  }

  .card {
    max-width: 100%;
  }
}

@media (max-width: 480px) {
  h1 {
    font-size: 24px;
  }

  .btn {
    font-size: 14px;
    padding: 10px 20px;
  }

  .btn > img {
    width: 20px;
    height: 20px;
    margin-right: 10px;
  }
}

/* Responsive images */
.card img {
  width: 100%;
  height: auto;
  max-width: 100%;
  max-height: 100%;
}